Name:           perl-MooseX-Getopt
Version:        0.15
Release:        1%{?dist}
Summary:        Moose role for processing command line options
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MooseX-Getopt/
Source0:        http://www.cpan.org/modules/by-module/MooseX/MooseX-Getopt-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Getopt::Long::Descriptive)
# 2.35 is what we have in F-8 perl -- tests all pass
BuildRequires:  perl(Getopt::Long)              >= 2.35
BuildRequires:  perl(Moose)                     >= 0.43

# tests...
BuildRequires:  perl(Test::More)      >= 0.62
BuildRequires:  perl(Test::Exception) >= 0.21
BuildRequires:  perl(Scalar::Util)

# optional tests
BuildRequires:  perl(Test::Pod), perl(Test::Pod::Coverage)


%description
This is a Moose role which provides an alternate constructor for creating 
objects using parameters passed in from the command line.

%prep
%setup -q -n MooseX-Getopt-%{version}

perl -pi -e 's/2.37/2.35/' Makefile.PL

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog README t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Sep 08 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.15-1
- update to 0.15

* Thu Jul 10 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.13-2
- tweak Getopt::Long dep to 2.35; passes tests just fine with 2.35, and that's
  what we have in F-8 perl

* Sat Jun 28 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.13-1
- update to 0.13
- switch to Module::Install invocations, rather than Module::Build

* Wed Mar 05 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.05-2
- rebuild for new perl

* Fri Aug 10 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.05-1
- update to 0.05
- license tag: GPL -> GPL+

* Fri May 04 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.03-2
- bump

* Thu May 03 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.03-1
- update to 0.03

* Fri Apr 20 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.02-1
- Specfile autogenerated by cpanspec 1.69.1.
